<!-- This issue template can be used as a great starting point for feature requests. The first section "Release notes" is required if you want to have your release post blog MR auto generated. Currently in BETA, details on the **release post item generator** can be found in the handbook:  https://about.gitlab.com/handbook/marketing/blog/release-posts/#release-post-item-generator and this video: https://www.youtube.com/watch?v=rfn9ebgTwKg. The next four sections: "Problem to solve", "Intended users", "User experience goal", and "Proposal", are strongly recommended in your first draft, while the rest of the sections can be filled out during the problem validation or breakdown phase. However, keep in mind that providing complete and relevant information early helps validate the problem and start working on a solution. -->

### Release notes

<!-- What is the problem and solution you're proposing? This content sets the overall vision for the feature and serves as the release notes that will populate in various places. -->

### Problem to solve

<!-- What problem do we solve? Try to define the who/what/why of the opportunity as a user story. For example, "As a (who), I want (what), so I can (why/value)." -->

### User experience goal

<!-- What is the single user experience workflow this problem addresses?
For example, "The user should be able to <perform a specific task>"
-->

### Proposal

<!-- How are we going to solve the problem? Try to include the user journey! -->

### Further details

<!-- Include use cases, benefits, goals, or any other details that will help us understand the problem better. -->

### Documentation

<!-- To be filled out later with links to Documentation Issues -->

### Impact

<!-- This section needs to be retained and filled in during the workflow planning phase of this feature proposal, if not earlier.

What risks does this change pose to this project? What additional test coverage or changes to tests will be needed? Will it require extensive testing?

Please list the test areas (unit, integration and end-to-end) that needs to be added or updated to ensure that this feature will work as intended. Please use the list below as guidance.
* Unit test changes
* Integration test changes
* End-to-end test change

 -->

### Links / references

/label ~"type::feature"
